NXOpen .NET Reference Guide
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Mfg.AM.SupportBuilder Class Reference

Represents a Mfg.AM.Support builder More...

Inheritance diagram for NXOpen.Mfg.AM.SupportBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  Types {
  Block, Line, Point, Nosupport,
  UserDefined, Volume, Web, Contour,
  Gusset, Cone, Combined, Tree
}
 the AM support types More...
 

Public Member Functions

unsafe void SetSurfaceRegion (NXOpen.Face[] faces)
 Set the surface region faces for the support to create More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe NXOpen.ScCollector BodySelection [get]
 Returns the body selection More...
 
unsafe NXOpen.ScCollector CurveSelection [get]
 Returns the curve selection More...
 
unsafe NXOpen.ScCollector FaceSelection [get]
 Returns the face selection More...
 
unsafe NXOpen.SelectNXObjectList PointSelection [get]
 Returns the point selection More...
 
unsafe NXOpen.Mfg.AM.Sketcher Sketcher [get]
 Returns the sketcher More...
 
unsafe
NXOpen.Mfg.AM.SupportBuilder.Types 
Type [get, set]
 Returns or sets the type More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a Mfg.AM.Support builder

To create a new instance of this class, use NXOpen.Mfg.AM.ApplicationManager.GetSupportBuilder

Default values.

Property Value

Sketcher.CurveOnSurfaceBuilder.CurveFitData.CurveJoinMethod

No

Sketcher.CurveOnSurfaceBuilder.CurveFitData.Degree

7

Sketcher.CurveOnSurfaceBuilder.CurveFitData.FitMethod

DegreeAndSegments

Sketcher.CurveOnSurfaceBuilder.CurveFitData.IsAdvancedFit

0

Sketcher.CurveOnSurfaceBuilder.CurveFitData.IsAlignShape

0

Sketcher.CurveOnSurfaceBuilder.CurveFitData.MaximumDegree

7

Sketcher.CurveOnSurfaceBuilder.CurveFitData.MaximumSegments

1

Sketcher.CurveOnSurfaceBuilder.CurveFitData.MinimumDegree

5

Sketcher.CurveOnSurfaceBuilder.CurveFitData.Segments

1

Sketcher.CurveOnSurfaceBuilder.CurveFitProperties.FitOption

Cubic

Sketcher.CurveOnSurfaceBuilder.CurveFitProperties.MaximumDegree

7

Sketcher.CurveOnSurfaceBuilder.CurveFitProperties.MaximumSegments

1

Created in NX11.0.2

Member Enumeration Documentation

the AM support types

Enumerator
Block 
Line 
Point 
Nosupport 
UserDefined 
Volume 
Web 
Contour 
Gusset 
Cone 
Combined 
Tree 

Member Function Documentation

unsafe void NXOpen.Mfg.AM.SupportBuilder.SetSurfaceRegion ( NXOpen.Face[]  faces)
inline

Set the surface region faces for the support to create

Created in NX11.0.2

License requirements: am_pb_mtls_sg_2 ("Advanced NX Additive Support Geometry") OR am_pb_mtls_sg_1 ("Basic NX Additive Support Geometry")

Parameters
facessurface region faces

Property Documentation

unsafe NXOpen.ScCollector NXOpen.Mfg.AM.SupportBuilder.BodySelection
get

Returns the body selection

Created in NX12.0.1

License requirements: None.

unsafe NXOpen.ScCollector NXOpen.Mfg.AM.SupportBuilder.CurveSelection
get

Returns the curve selection

Created in NX11.0.2

License requirements: None.

unsafe NXOpen.ScCollector NXOpen.Mfg.AM.SupportBuilder.FaceSelection
get

Returns the face selection

Created in NX11.0.2

License requirements: None.

unsafe NXOpen.SelectNXObjectList NXOpen.Mfg.AM.SupportBuilder.PointSelection
get

Returns the point selection

Created in NX11.0.2

License requirements: None.

unsafe NXOpen.Mfg.AM.Sketcher NXOpen.Mfg.AM.SupportBuilder.Sketcher
get

Returns the sketcher

Created in NX11.0.2

License requirements: am_pb_mtls_sg_2 ("Advanced NX Additive Support Geometry") OR am_pb_mtls_sg_1 ("Basic NX Additive Support Geometry")

unsafe NXOpen.Mfg.AM.SupportBuilder.Types NXOpen.Mfg.AM.SupportBuilder.Type
getset

Returns or sets the type

Created in NX11.0.2

License requirements to get this property: None.

License requirements to set this property: am_pb_mtls_sg_2 ("Advanced NX Additive Support Geometry") OR am_pb_mtls_sg_1 ("Basic NX Additive Support Geometry")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.